package com.fdkankan.platform.user.factory;

import com.alibaba.fastjson.JSONObject;
import com.fdkankan.platform.order.request.RequestPlaceOrder;

public interface PayEntity {

    JSONObject scanPay(RequestPlaceOrder order) throws Exception;

    JSONObject h5Pay(RequestPlaceOrder order, String ip) throws Exception;

    String getType();

}
